Use this REST API call send a request to create or override an existing fixed hard drive device.
POST request URL
https://<epo_server_name:port>/rest/dlp/definitions/fixedHardDrive/import
Where, epo_server_name:port is the server IP address and port number.
Request Parameters
Request Parameters
Parameter name | Description | Required | Values |
|---|---|---|---|
Authorization | User credentials for ePO - On-prem. | Required |
Parameter name | Description | Required | Values |
|---|---|---|---|
override | If true: overrides the existing definition. If false: If the definition name exists, the operation fails. | Required | Boolean |
body | CSV file containing records to be imported. | Required | File |
Sample POST request URL
https://172.27.108.53:8443/rest/dlp/definitions/fixedHardDrive/import
Sample cURL command
curl -k -v -X POST 'https://172.27.108.53:8443/rest/dlp/definitions/fixedHardDrive/import' -u '<user>:<password>' -F 'override="false"' -F 'body=@"/path/to/file/fileName.csv"'
Sample request (multipart/form-data)
{
"override": false,
"body": the CSV file
}Sample response
Import completed
Status and error codes
List of HTTP status codes returned for the query.
Code | Description |
|---|---|
200 OK | The response returns a string. |
400 Bad Request | Returns a bad request if:
|
404 Not Found | Incorrect ePO - On-prem URL. |
500 Internal Server Error | An error on the server side that failed the request. See the ePO - On-premorion.log file for more details about the error. |